

# BatchGetCollaborationAnalysisTemplate
<a name="API_BatchGetCollaborationAnalysisTemplate"></a>

Retrieves multiple analysis templates within a collaboration by their Amazon Resource Names (ARNs).

## Request Syntax
<a name="API_BatchGetCollaborationAnalysisTemplate_RequestSyntax"></a>

```
POST /collaborations/collaborationIdentifier/batch-analysistemplates HTTP/1.1
Content-type: application/json

{
   "analysisTemplateArns": [ "string" ]
}
```

## URI Request Parameters
<a name="API_BatchGetCollaborationAnalysisTemplate_RequestParameters"></a>

The request uses the following URI parameters.

 ** [collaborationIdentifier](#API_BatchGetCollaborationAnalysisTemplate_RequestSyntax) **   <a name="API-BatchGetCollaborationAnalysisTemplate-request-uri-collaborationIdentifier"></a>
A unique identifier for the collaboration that the analysis templates belong to. Currently accepts collaboration ID.  
Length Constraints: Fixed length of 36.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

## Request Body
<a name="API_BatchGetCollaborationAnalysisTemplate_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [analysisTemplateArns](#API_BatchGetCollaborationAnalysisTemplate_RequestSyntax) **   <a name="API-BatchGetCollaborationAnalysisTemplate-request-analysisTemplateArns"></a>
The Amazon Resource Name (ARN) associated with the analysis template within a collaboration.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 10 items.  
Length Constraints: Minimum length of 0. Maximum length of 200.  
Pattern: `arn:aws[-a-z]*:cleanrooms:[\w]{2}-[\w]{4,9}-[\d]:[\d]{12}:membership/[\d\w-]+/analysistemplate/[\d\w-]+`   
Required: Yes

## Response Syntax
<a name="API_BatchGetCollaborationAnalysisTemplate_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "collaborationAnalysisTemplates": [ 
      { 
         "analysisParameters": [ 
            { 
               "defaultValue": "string",
               "name": "string",
               "type": "string"
            }
         ],
         "arn": "string",
         "collaborationArn": "string",
         "collaborationId": "string",
         "createTime": number,
         "creatorAccountId": "string",
         "description": "string",
         "errorMessageConfiguration": { 
            "type": "string"
         },
         "format": "string",
         "id": "string",
         "name": "string",
         "schema": { 
            "referencedTables": [ "string" ]
         },
         "source": { ... },
         "sourceMetadata": { ... },
         "syntheticDataParameters": { ... },
         "updateTime": number,
         "validations": [ 
            { 
               "reasons": [ 
                  { 
                     "message": "string"
                  }
               ],
               "status": "string",
               "type": "string"
            }
         ]
      }
   ],
   "errors": [ 
      { 
         "arn": "string",
         "code": "string",
         "message": "string"
      }
   ]
}
```

## Response Elements
<a name="API_BatchGetCollaborationAnalysisTemplate_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [collaborationAnalysisTemplates](#API_BatchGetCollaborationAnalysisTemplate_ResponseSyntax) **   <a name="API-BatchGetCollaborationAnalysisTemplate-response-collaborationAnalysisTemplates"></a>
The retrieved list of analysis templates within a collaboration.  
Type: Array of [CollaborationAnalysisTemplate](API_CollaborationAnalysisTemplate.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 10 items.

 ** [errors](#API_BatchGetCollaborationAnalysisTemplate_ResponseSyntax) **   <a name="API-BatchGetCollaborationAnalysisTemplate-response-errors"></a>
Error reasons for collaboration analysis templates that could not be retrieved. One error is returned for every collaboration analysis template that could not be retrieved.  
Type: Array of [BatchGetCollaborationAnalysisTemplateError](API_BatchGetCollaborationAnalysisTemplateError.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 10 items.

## Errors
<a name="API_BatchGetCollaborationAnalysisTemplate_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Caller does not have sufficient access to perform this action.    
 ** reason **   
A reason code for the exception.
HTTP Status Code: 403

 ** InternalServerException **   
Unexpected error during processing of request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Request references a resource which does not exist.    
 ** resourceId **   
The Id of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
Request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the specified constraints.    
 ** fieldList **   
Validation errors for specific input parameters.  
 ** reason **   
A reason code for the exception.
HTTP Status Code: 400

## See Also
<a name="API_BatchGetCollaborationAnalysisTemplate_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/cleanrooms-2022-02-17/BatchGetCollaborationAnalysisTemplate) 